Subject: bug#16737: 24.3.50; Yank causes hang

From: Nicolas Richard <[email-masked]>
Date: Fri, 21 Mar 2014 07:28:00 +0100

Nicolas Richard <[email-masked]> writes:

> Le 05/03/2014 18:08, Eli Zaretskii a Ã©crit :
>>> Date: Wed, 05 Mar 2014 12:01:06 +0100
>>> From: Nicolas Richard <[email-masked]>
>>> CC: [email-masked], [email-masked], [email-masked]
>>> 
>>> Le 04/03/2014 17:59, Eli Zaretskii a Ã©crit :
>>> > Since you say that Emacs hangs for several seconds, would it be
>>> > possible for you to attach GDB right after you type C-x C-e to eval
>>> > (x-get-selection)?  You could prepare the "gdb -p PID" command line in
>>> > the shell window in advance, so all you'd need to type is RET.
>>> 
>>> I didn't quite do that and unfortunately killed the process at the end,
>>> so can't try your suggestion anymore. FWIW, here's what I did, although
>>> I doubt it's very useful. I'll try to do better next time.
>> 
>> OK, thanks.
>
> Hi, 
>
> Are these better backtraces ?

After getting them, I evalled (setq x-select-enable-primary), then tried
killing & yanking : it didn't trigger the problem anymore. Are those
facts related ? I guess so. Surpisingly : I set (setq
x-select-enable-primary t) back again and still have no more problem.

-- 
Nico.